%define	module	pam_yubico
Summary:	A Pluggable Authentication Module for Yubikeys
Summary(pl.UTF-8):	Moduł PAM dla urządzeń Yubikey
Name:		pam-%{module}
Version:	2.27
Release:	2
License:	BSD
Group:		Applications/System
Source0:	https://developers.yubico.com/yubico-pam/Releases/%{module}-%{version}.tar.gz
# Source0-md5:	7a8cbac9f60260a6298062717a2f43e1
URL:		https://developers.yubico.com/yubico-pam
BuildRequires:	asciidoc
BuildRequires:	libyubikey-devel >= 1.5
BuildRequires:	openldap-devel
BuildRequires:	pam-devel
BuildRequires:	pkgconfig
BuildRequires:	ykclient-devel >= 2.15
BuildRequires:	ykpers-devel >= 1.8.0
Requires:	libyubikey >= 1.5
Requires:	pam
Requires:	ykclient >= 2.15
Requires:	ykpers >= 1.8.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is pam_yubico, a pluggable authentication module that can be used
with Linux-PAM and Yubikeys. This module supports Yubikey OTP
checking.

%description -l pl.UTF-8
Ten pakiet zawiera pam_yubico - ładowalny moduł uwierzytelniający,
który może być używany ze szkieletem Linux-PAM oraz urządzeniami
Yubikey. Ten moduł obsługuje sprawdzanie haseł jednorazowych (OTP)
Yubikey.

%prep
%setup -q -n %{module}-%{version}

%build
%configure \
	--disable-silent-rules \
	--with-pam-dir=/%{_lib}/security
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT/%{_lib}/security/%{module}.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README doc/*.adoc
%attr(755,root,root) /%{_lib}/security/pam_yubico.so
%attr(755,root,root) %{_bindir}/ykpamcfg
%{_mandir}/man1/ykpamcfg.1*
%{_mandir}/man8/pam_yubico.8*
%changelog
* Sat Nov 20 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/pam-pam_yubico.git;a=log;h=master

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> 96a4939
- rebuild with separate debuginfo build-ids

* Tue Apr 13 2021 Jan Palus <atler@pld-linux.org> 702c58f
- up to 2.27

* Tue May 22 2018 Jakub Bogusz <qboosh@pld-linux.org> 3d1b850
- BR: pkgconfig

* Mon May 21 2018 Jakub Bogusz <qboosh@pld-linux.org> 3257587
- updated to 2.26

* Thu May 10 2018 Jan Rękorajski <baggins@pld-linux.org> fa3893a
- release 2 (by relup.sh)

* Mon Mar 27 2017 Elan Ruusamäe <glen@delfi.ee> b9e9b4a
- pldize preamble order

* Wed Feb 01 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 6a5ab8a
- rename to pam-pam_yubico to match other modules

* Mon Jan 30 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 3c73550
- initial

